curl --request POST \
--url https://api.togai.com/license_updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"licenseId": "addon.21LdC76myzw.uiSWm",
"accountId": "account#1",
"updateType": "ABSOLUTE",
"quantity": 10
}
'{
"licenseId": "lic.fdjsl.313",
"accountId": "acc.fdjsl.313",
"quantity": 10,
"effectiveFrom": "2020-01-01T00:00:00Z",
"createdAt": "2021-03-04T14:25:10Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<Reason message>"
}Licenses
Update a license entry
This API let’s you to add a license entry
POST
/
license_updates
curl --request POST \
--url https://api.togai.com/license_updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"licenseId": "addon.21LdC76myzw.uiSWm",
"accountId": "account#1",
"updateType": "ABSOLUTE",
"quantity": 10
}
'{
"licenseId": "lic.fdjsl.313",
"accountId": "acc.fdjsl.313",
"quantity": 10,
"effectiveFrom": "2020-01-01T00:00:00Z",
"createdAt": "2021-03-04T14:25:10Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<Reason message>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
License update request
The license id for which the update is requested
Maximum string length:
50Example:
"lic.fdjsl.313"
The account id for which the license is being updated
Maximum string length:
50Example:
"acc.fdjsl.313"
The type of update to be performed
Available options:
RELATIVE, ABSOLUTE The quantity to be updated
The effective from date for the update
Example:
"2021-03-04T14:25:10Z"
The idempotency key for uniqueness of the license update request
Example:
"idempotencyKey#1"
Show child attributes
Show child attributes
Example:
{ "key1": "value1", "key2": "value2" }
Response
Success response
License update
Maximum string length:
50Example:
"lic.fdjsl.313"
Maximum string length:
50Example:
"acc.fdjsl.313"
Absolute quantity of the license
Example:
10
Example:
"2021-03-04T14:25:10Z"
Example:
"2021-03-04T14:25:10Z"
Show child attributes
Show child attributes
Example:
{ "key1": "value1", "key2": "value2" }
